org.jetlang.web

## Interface NioReader.State

All Known Implementing Classes:
  HeaderReader.FirstLine, HeaderReader.HeaderLine, HeaderReader.ReadHeader, NioReader.Close

Enclosing class:
  NioReader<T>

    public static interface NioReader.State

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default boolean` `continueReading()`
`default int` `minRequiredBytes()`
`default void` `onClosed()`
`default NioReader.State` `process(ByteBuffer bb)`
`NioReader.State` `processBytes(ByteBuffer bb)`

### Method Detail

#### minRequiredBytes

    default int minRequiredBytes()

#### process

    default NioReader.State process(ByteBuffer bb)

#### processBytes

    NioReader.State processBytes(ByteBuffer bb)

#### continueReading

    default boolean continueReading()

#### onClosed

    default void onClosed()